Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.joinpoint
Interface JoinPoint

All Superinterfaces:
  StaticJoinPoint

    public interface JoinPoint

extends StaticJoinPoint

Implements the join point concept, e.g. defines a well defined point in the program flow.

Provides access to runtime type information (RTTI), is therefore significantly slower than the usage of the `StaticJoinPoint` interface.

Author:
  Jonas Bonr

Field Summary

Fields inherited from interface org.codehaus.aspectwerkz.joinpoint.StaticJoinPoint
`CONSTRUCTOR_CALL, CONSTRUCTOR_EXECUTION, FIELD_GET, FIELD_SET, HANDLER, METHOD_CALL, METHOD_EXECUTION, STATIC_INITIALIZATION`

Method Summary
`Object` | `getCallee()` Returns the callee instance.
`Object` | `getCaller()` Returns the caller instance.
`Rtti` | `getRtti()` Returns the JoinPoint RTTI
`Object` | `getTarget()` Returns the target instance.
`Object` | `getThis()` Returns the 'this' instance (the one currently executing).

Methods inherited from interface org.codehaus.aspectwerkz.joinpoint.StaticJoinPoint
`addMetaData, copy, getCalleeClass, getCallerClass, getEnclosingStaticJoinPoint, getMetaData, getSignature, getTargetClass, getType, proceed`

Method Detail

### getCallee

    Object getCallee()

  Returns the callee instance.

  Returns:
    the callee instance

### getCaller

    Object getCaller()

  Returns the caller instance.

  Returns:
    the caller instance

### getThis

    Object getThis()

  Returns the 'this' instance (the one currently executing).

  Returns:
    'this'

### getTarget

    Object getTarget()

  Returns the target instance. If the join point is executing in a static context it returns null.

  Returns:
    the target instance

### getRtti

    Rtti getRtti()

  Returns the JoinPoint RTTI

  Returns:
    the Rtti

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.